Arch Add: Difference between revisions

From FreeCAD Documentation
(Proper Userdocnavi, category)
No edit summary
Line 17: Line 17:


<!--T:3-->
<!--T:3-->
In the above image, a box is being added to a wall.
''In the above image, a box is being added to a wall.''


==How to use== <!--T:4-->
==How to use== <!--T:4-->
Line 49: Line 49:
}}
}}


<translate>
{{Userdocnavi}}

[[Category:Arch]]
[[Category:Arch]]
</translate>

Revision as of 17:14, 25 November 2018

Arch Add

Menu location
Arch → Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Description

The Add tool allows you to do 4 kinds of operations:

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject)
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)